using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioLeitmensal
    {
        public void Insert(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Insert(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Insert_1(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Insert_1(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Update(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Update_1(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_2(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Update_2(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_3(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Update_3(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_4(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Update_4(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_5(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Update_5(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void UpdateLeituraAtualAPP(entidadeAgenciaVirtual objAgenciaVirtual)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dalLeitmensal.UpdateLeituraAtualAPP(objAgenciaVirtual);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_7(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Update_7(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();
            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select(objLeitmensal);

                foreach (DataRow dr in dt.Rows)
                {
                    objLeitmensal = new entidadeLeitmensal();


                    if (!Convert.IsDBNull(dr["LEIT_ATUAL"]))
                        objLeitmensal.LEIT_ATUAL = dr["LEIT_ATUAL"].ToString();

                    if (!Convert.IsDBNull(dr["LEITURA_ATUAL_PONTA"]))
                        objLeitmensal.LEITURA_ATUAL_PONTA = dr["LEITURA_ATUAL_PONTA"].ToString();

                    if (!Convert.IsDBNull(dr["LEITURA_ATUAL_INTERMEDIARIO"]))
                        objLeitmensal.LEITURA_ATUAL_INTERMEDIARIO = dr["LEITURA_ATUAL_INTERMEDIARIO"].ToString();

                    if (!Convert.IsDBNull(dr["LEITURA_ATUAL_FORA_PONTA"]))
                        objLeitmensal.LEITURA_ATUAL_FORA_PONTA = dr["LEITURA_ATUAL_FORA_PONTA"].ToString();

                    if (!Convert.IsDBNull(dr["LEIT_REVERSO_ATUAL"]))
                        objLeitmensal.LEIT_REVERSO_ATUAL = dr["LEIT_REVERSO_ATUAL"].ToString();

                    if (!Convert.IsDBNull(dr["LEIT_IRRIGANTE_ATUAL"]))
                        objLeitmensal.LEIT_IRRIGANTE_ATUAL = dr["LEIT_IRRIGANTE_ATUAL"].ToString();

                    if (!Convert.IsDBNull(dr["CONSUMO"]))
                        objLeitmensal.CONSUMO = Convert.ToDouble(dr["CONSUMO"]);

                    if (!Convert.IsDBNull(dr["OCORRENC"]))
                        objLeitmensal.OCORRENC = dr["OCORRENC"].ToString();

                    if (!Convert.IsDBNull(dr["MEDIA"]))
                        objLeitmensal.MEDIA = dr["MEDIA"].ToString();

                    if (!Convert.IsDBNull(dr["KVARHATUAL"]))
                        objLeitmensal.KVARHATUAL = Convert.ToInt32(dr["KVARHATUAL"]);

                    if (!Convert.IsDBNull(dr["KVARH"]))
                        objLeitmensal.KVARH = Convert.ToInt32(dr["KVARH"]);

                    if (!Convert.IsDBNull(dr["KWH_PONTA"]))
                        objLeitmensal.KWH_PONTA = Convert.ToDouble(dr["KWH_PONTA"]);

                    if (!Convert.IsDBNull(dr["KWH_PONTA"]))
                        objLeitmensal.KWH_PONTA = Convert.ToDouble(dr["KWH_PONTA"]);

                    if (!Convert.IsDBNull(dr["KWH_INTERMEDIARIO"]))
                        objLeitmensal.KWH_INTERMEDIARIO = Convert.ToDouble(dr["KWH_INTERMEDIARIO"]);

                    if (!Convert.IsDBNull(dr["KWH_FORA_PONTA"]))
                        objLeitmensal.KWH_FORA_PONTA = Convert.ToDouble(dr["KWH_FORA_PONTA"]);

                    lstLeitmensal.Add(objLeitmensal);
                }
                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select_1(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();
            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_1(objLeitmensal);

                foreach (DataRow dr in dt.Rows)
                {
                    objLeitmensal = new entidadeLeitmensal();


                    if (!Convert.IsDBNull(dr["UNID_ID"]))
                        objLeitmensal.UNID_ID = Convert.ToInt32(dr["UNID_ID"]);

                    if (!Convert.IsDBNull(dr["ZONA"]))
                        objLeitmensal.ZONA = dr["ZONA"].ToString();

                    if (!Convert.IsDBNull(dr["LIVRO"]))
                        objLeitmensal.LIVRO = dr["LIVRO"].ToString();

                    if (!Convert.IsDBNull(dr["CONTA"]))
                        objLeitmensal.CONTA = dr["CONTA"].ToString();

                    if (!Convert.IsDBNull(dr["LEIT_ANT"]))
                        objLeitmensal.LEIT_ANT = dr["LEIT_ANT"].ToString();

                    if (!Convert.IsDBNull(dr["LEIT_ATUAL"]))
                        objLeitmensal.LEIT_ATUAL = dr["LEIT_ATUAL"].ToString();

                    if (!Convert.IsDBNull(dr["KVARH"]))
                        objLeitmensal.KVARH = Convert.ToInt32(dr["KVARH"]);

                    if (!Convert.IsDBNull(dr["KVARHATUAL"]))
                        objLeitmensal.KVARHATUAL = Convert.ToInt32(dr["KVARHATUAL"]);

                    if (!Convert.IsDBNull(dr["OCORRENC"]))
                        objLeitmensal.OCORRENC = dr["OCORRENC"].ToString();

                    if (!Convert.IsDBNull(dr["MEDIA"]))
                        objLeitmensal.MEDIA = dr["MEDIA"].ToString();

                    if (!Convert.IsDBNull(dr["RESIDUO"]))
                        objLeitmensal.RESIDUO = Convert.ToDouble(dr["RESIDUO"]);

                    if (!Convert.IsDBNull(dr["CONSUMO"]))
                        objLeitmensal.CONSUMO = Convert.ToDouble(dr["CONSUMO"]);

                    if (!Convert.IsDBNull(dr["LEIT_REVERSO_ANT"]))
                        objLeitmensal.LEIT_REVERSO_ANT = dr["LEIT_REVERSO_ANT"].ToString();

                    if (!Convert.IsDBNull(dr["LEIT_REVERSO_ATUAL"]))
                        objLeitmensal.LEIT_REVERSO_ATUAL = dr["LEIT_REVERSO_ATUAL"].ToString();

                    if (!Convert.IsDBNull(dr["KWH_REVERSO"]))
                        objLeitmensal.KWH_REVERSO = Convert.ToDouble(dr["KWH_REVERSO"]);

                    if (!Convert.IsDBNull(dr["KWH_REVERSO_RES"]))
                        objLeitmensal.KWH_REVERSO_RES = Convert.ToDouble(dr["KWH_REVERSO_RES"]);

                    if (!Convert.IsDBNull(dr["LEIT_IRRIGANTE_ANT"]))
                        objLeitmensal.LEIT_IRRIGANTE_ANT = dr["LEIT_IRRIGANTE_ANT"].ToString();

                    if (!Convert.IsDBNull(dr["LEIT_IRRIGANTE_ATUAL"]))
                        objLeitmensal.LEIT_IRRIGANTE_ATUAL = dr["LEIT_IRRIGANTE_ATUAL"].ToString();

                    if (!Convert.IsDBNull(dr["KWH_IRRIGANTE"]))
                        objLeitmensal.KWH_IRRIGANTE = Convert.ToDouble(dr["KWH_IRRIGANTE"]);

                    if (!Convert.IsDBNull(dr["KWH_IRRIGANTE_RES"]))
                        objLeitmensal.KWH_IRRIGANTE_RES = Convert.ToDouble(dr["KWH_IRRIGANTE_RES"]);

                    if (!Convert.IsDBNull(dr["LEITURA_ANT_PONTA"]))
                        objLeitmensal.LEITURA_ANT_PONTA = dr["LEITURA_ANT_PONTA"].ToString();

                    if (!Convert.IsDBNull(dr["LEITURA_ATUAL_PONTA"]))
                        objLeitmensal.LEITURA_ATUAL_PONTA = dr["LEITURA_ATUAL_PONTA"].ToString();

                    if (!Convert.IsDBNull(dr["LEITURA_ANT_INTERMEDIARIO"]))
                        objLeitmensal.LEITURA_ANT_INTERMEDIARIO = dr["LEITURA_ANT_INTERMEDIARIO"].ToString();

                    if (!Convert.IsDBNull(dr["LEITURA_ATUAL_INTERMEDIARIO"]))
                        objLeitmensal.LEITURA_ATUAL_INTERMEDIARIO = dr["LEITURA_ATUAL_INTERMEDIARIO"].ToString();

                    if (!Convert.IsDBNull(dr["LEITURA_ANT_FORA_PONTA"]))
                        objLeitmensal.LEITURA_ANT_FORA_PONTA = dr["LEITURA_ANT_FORA_PONTA"].ToString();

                    if (!Convert.IsDBNull(dr["LEITURA_ATUAL_FORA_PONTA"]))
                        objLeitmensal.LEITURA_ATUAL_FORA_PONTA = dr["LEITURA_ATUAL_FORA_PONTA"].ToString();

                    if (!Convert.IsDBNull(dr["KWH_PONTA"]))
                        objLeitmensal.KWH_PONTA = Convert.ToDouble(dr["KWH_PONTA"]);

                    if (!Convert.IsDBNull(dr["KWH_INTERMEDIARIO"]))
                        objLeitmensal.KWH_INTERMEDIARIO = Convert.ToDouble(dr["KWH_INTERMEDIARIO"]);

                    if (!Convert.IsDBNull(dr["KWH_FORA_PONTA"]))
                        objLeitmensal.KWH_FORA_PONTA = Convert.ToDouble(dr["KWH_FORA_PONTA"]);

                    if (!Convert.IsDBNull(dr["RESIDUO_PONTA"]))
                        objLeitmensal.RESIDUO_PONTA = Convert.ToDouble(dr["RESIDUO_PONTA"]);

                    if (!Convert.IsDBNull(dr["RESIDUO_INTERMEDIARIO"]))
                        objLeitmensal.RESIDUO_INTERMEDIARIO = Convert.ToDouble(dr["RESIDUO_INTERMEDIARIO"]);

                    if (!Convert.IsDBNull(dr["RESIDUO_FORA_PONTA"]))
                        objLeitmensal.RESIDUO_FORA_PONTA = Convert.ToDouble(dr["RESIDUO_FORA_PONTA"]);

                    if (!Convert.IsDBNull(dr["VERIFICADO"]))
                        objLeitmensal.VERIFICADO = Convert.ToBoolean(dr["VERIFICADO"]);

                    if (!Convert.IsDBNull(dr["MEDIA_CRITICA"]))
                        objLeitmensal.MEDIA_CRITICA = Convert.ToBoolean(dr["MEDIA_CRITICA"]);

                    if (!Convert.IsDBNull(dr["FOTO_EVIDENCIA"]))
                        objLeitmensal.FOTO_EVIDENCIA = Convert.ToInt32(dr["FOTO_EVIDENCIA"]);

                    if (!Convert.IsDBNull(dr["MEDIDOR"]))
                        objLeitmensal.MEDIDOR = dr["MEDIDOR"].ToString();

                    if (!Convert.IsDBNull(dr["MEDKVARH"]))
                        objLeitmensal.MEDKVARH = dr["MEDKVARH"].ToString();

                    if (!Convert.IsDBNull(dr["DT_LEIT"]))
                        objLeitmensal.DT_LEIT = Convert.ToDateTime(dr["DT_LEIT"]);

                    if (!Convert.IsDBNull(dr["DT_LEITANT"]))
                        objLeitmensal.DT_LEITANT = Convert.ToDateTime(dr["DT_LEITANT"]);

                    if (!Convert.IsDBNull(dr["INT_MICRO_GERACAO"]))
                        objLeitmensal.INT_MICRO_GERACAO = Convert.ToInt32(dr["INT_MICRO_GERACAO"]);
                    




                    lstLeitmensal.Add(objLeitmensal);
                }
                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select_2(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();
            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_2(objLeitmensal);

                foreach (DataRow dr in dt.Rows)
                {
                    objLeitmensal = new entidadeLeitmensal();

                    if (!Convert.IsDBNull(dr["LEIT_ATUAL"]))
                        objLeitmensal.LEIT_ATUAL = dr["LEIT_ATUAL"].ToString();

                    if (!Convert.IsDBNull(dr["LEIT_AJUST"]))
                        objLeitmensal.LEIT_AJUST = dr["LEIT_AJUST"].ToString();

                    lstLeitmensal.Add(objLeitmensal);
                }
                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select_3(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_3(objLeitmensal);

                regranegocioGlobal = new regraNegocioGlobal();

                lstLeitmensal = regraNegocioGlobal.ConvertDataTable<entidadeLeitmensal>(dt);

                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select_4(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_4(objLeitmensal);

                regranegocioGlobal = new regraNegocioGlobal();

                lstLeitmensal = regraNegocioGlobal.ConvertDataTable<entidadeLeitmensal>(dt);

                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select_5(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_5(objLeitmensal);

                regranegocioGlobal = new regraNegocioGlobal();

                lstLeitmensal = regraNegocioGlobal.ConvertDataTable<entidadeLeitmensal>(dt);

                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select_6(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_6(objLeitmensal);

                regranegocioGlobal = new regraNegocioGlobal();

                lstLeitmensal = regraNegocioGlobal.ConvertDataTable<entidadeLeitmensal>(dt);

                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select_7(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_7(objLeitmensal);

                regranegocioGlobal = new regraNegocioGlobal();

                lstLeitmensal = regraNegocioGlobal.ConvertDataTable<entidadeLeitmensal>(dt);

                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select_8(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;
            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_8(objLeitmensal);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select_9(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;
            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_9(objLeitmensal);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select_10(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_10(objLeitmensal);

                regranegocioGlobal = new regraNegocioGlobal();

                lstLeitmensal = regraNegocioGlobal.ConvertDataTable<entidadeLeitmensal>(dt);

                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> Select_11(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.Select_11(objLeitmensal);

                regranegocioGlobal = new regraNegocioGlobal();

                lstLeitmensal = regraNegocioGlobal.ConvertDataTable<entidadeLeitmensal>(dt);

                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable SelectCount(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;
            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.SelectCount(objLeitmensal);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> SelectCountRota(entidadeLeitmensal objRota)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstRetornoRotasProcessadas = new List<entidadeLeitmensal>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.SelectCountRota(objRota);

                regranegocioGlobal = new regraNegocioGlobal();

                lstRetornoRotasProcessadas = regraNegocioGlobal.ConvertDataTable<entidadeLeitmensal>(dt);

                return lstRetornoRotasProcessadas;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> SelectCountRotaRecebida(entidadeLeitmensal objRota)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstRetornoRotasProcessadas = new List<entidadeLeitmensal>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.SelectCountRotaRecebida(objRota);

                regranegocioGlobal = new regraNegocioGlobal();

                lstRetornoRotasProcessadas = regraNegocioGlobal.ConvertDataTable<entidadeLeitmensal>(dt);

                return lstRetornoRotasProcessadas;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeLeitmensal> SelectOthersTables_1(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            var lstLeitmensal = new List<entidadeLeitmensal>();
            DataTable dt = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();
                dt = dalLeitmensal.SelectOthersTables_1(objLeitmensal);

                foreach (DataRow dr in dt.Rows)
                {
                    objLeitmensal = new entidadeLeitmensal();

                    if (!Convert.IsDBNull(dr["DT_LEITANT"]))
                        objLeitmensal.DT_LEITANT = Convert.ToDateTime(dr["DT_LEITANT"]);

                    if (!Convert.IsDBNull(dr["DT_LEIT"]))
                        objLeitmensal.DT_LEIT = Convert.ToDateTime(dr["DT_LEIT"]);

                    lstLeitmensal.Add(objLeitmensal);
                }
                return lstLeitmensal;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Delete(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete_1(entidadeLeitmensal objLeitmensal)
        {
            dalLeitmensal dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensal();

                dalLeitmensal.Delete_1(objLeitmensal);
            }
            catch (Exception)
            {
                throw;
            }
        }

    }

    public class repositorioLeituraMensalFoto
    {

        public void Delete()
        {
            dalLeitmensalFoto dalLeitmensalFoto = null;

            try
            {
                dalLeitmensalFoto = new dalLeitmensalFoto();

                dalLeitmensalFoto.Delete();
            }
            catch (Exception)
            {
                throw;
            }
        }
        public IList<entidadeAgenciaVirtualFoto> Select_Fotos_UC(string unid_id)
        {
            dalLeitmensalFoto dalLeitmensalFoto = null;
            regraNegocioGlobal regranegocioGlobal = null;

            var lstLeitmensalFoto = new List<entidadeAgenciaVirtualFoto>();
            DataTable dt = null;

            try
            {
                dalLeitmensalFoto = new dalLeitmensalFoto();
                
                dt = dalLeitmensalFoto.Select_Fotos_UC(unid_id);

                regranegocioGlobal = new regraNegocioGlobal();

                lstLeitmensalFoto = regraNegocioGlobal.ConvertDataTable<entidadeAgenciaVirtualFoto>(dt);

                return lstLeitmensalFoto;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void InsereImagemDoApp(entidadeAgenciaVirtualFoto objAgenciaVirtualFoto)
        {
            dalLeitmensalFoto dalLeitmensal = null;

            try
            {
                dalLeitmensal = new dalLeitmensalFoto();

                dalLeitmensal.InsereImagemDoApp(objAgenciaVirtualFoto);
            }
            catch (Exception)
            {
                throw;
            }
        }
    }
}
